Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 2861393003: MD Settings: Always provide recommended meta-data (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 weeks, 6 days ago by stevenjb
Modified:
1 week, 4 days ago
Reviewers:
Dan Beam
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, extensions-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

MD Settings: Always provide recommended meta-data Currently we only provide recommended meta-data for prefs when pref->IsRecommended() is true, which is only true when the user has not set the value. We should provide meta-data whenever a policy provides a recommended value for a pref. BUG=532958 Review-Url: https://codereview.chromium.org/2861393003 Cr-Commit-Position: refs/heads/master@{#472513} Committed: https://chromium.googlesource.com/chromium/src/+/28fe10df2390b039fe2209503421542963099dd6

Patch Set 1 #

Patch Set 2 : Add apitest #

Patch Set 3 : Use non cros specific pref for tests #

Unified diffs Side-by-side diffs Delta from patch set Stats (+95 lines, -6 lines) Patch
M chrome/browser/extensions/api/settings_private/prefs_util.cc View 1 2 1 chunk +6 lines, -3 lines 0 comments Download
M chrome/browser/extensions/api/settings_private/settings_private_apitest.cc View 1 2 3 chunks +44 lines, -2 lines 0 comments Download
M chrome/test/data/extensions/api_test/settings_private/test.js View 1 2 3 chunks +45 lines, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 21 (11 generated)
stevenjb
OK, the fix wasn't as bad as I feared. Writing the test was the painful ...
2 weeks, 6 days ago (2017-05-08 23:10:05 UTC) #3
Dan Beam
lgtm
2 weeks, 4 days ago (2017-05-10 18:30:42 UTC) #4
Dan Beam
but are we gonna check how the UI shows these recommended things? do we still ...
2 weeks, 4 days ago (2017-05-10 18:32:20 UTC) #5
stevenjb
On 2017/05/10 18:32:20, Dan Beam wrote: > but are we gonna check how the UI ...
2 weeks, 4 days ago (2017-05-10 18:37:19 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2861393003/40001
1 week, 5 days ago (2017-05-16 16:58:08 UTC) #8
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_asan_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_asan_rel_ng/builds/371968)
1 week, 5 days ago (2017-05-16 18:39:08 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2861393003/60001
1 week, 5 days ago (2017-05-16 21:03:33 UTC) #14
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/455369)
1 week, 5 days ago (2017-05-16 23:06:17 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2861393003/60001
1 week, 4 days ago (2017-05-17 15:55:02 UTC) #18
commit-bot: I haz the power
1 week, 4 days ago (2017-05-17 18:45:58 UTC) #21
Message was sent while issue was closed.
Committed patchset #3 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/28fe10df2390b039fe2209503421...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06